package com.evilco.mc.nbt.tag;

import com.evilco.mc.nbt.stream.NbtOutputStream;
import java.io.IOException;
import java.nio.charset.Charset;
import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public interface ITag {
   Charset STRING_CHARSET = Charset.forName("UTF-8");

   String getName();

   byte[] getNameBytes();

   ITagContainer getParent();

   byte getTagID();

   void setName(@Nonnull String var1);

   void setParent(@Nullable ITagContainer var1);

   void write(NbtOutputStream var1, boolean var2) throws IOException;
}
